package com.sinosig.web.external.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 应用实体[厂牌型号]
 */
public class CPXH implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 功率
     */
    private Double Gl;

    @JsonIgnore
    private boolean GlDirtyFlag;
    /**
     * 别名
     */
    private String Bm;

    @JsonIgnore
    private boolean BmDirtyFlag;
    /**
     * 号牌底色
     */
    private String Hpds;

    @JsonIgnore
    private boolean HpdsDirtyFlag;
    /**
     * 备注
     */
    private String Bz;

    @JsonIgnore
    private boolean BzDirtyFlag;
    /**
     * 厂牌型号名称
     */
    private String CPXHName;

    @JsonIgnore
    private boolean CPXHNameDirtyFlag;
    /**
     * 新车购置价
     */
    private BigDecimal Xcgzj;

    @JsonIgnore
    private boolean XcgzjDirtyFlag;
    /**
     * 上市年份
     */
    private String Ssnf;

    @JsonIgnore
    private boolean SsnfDirtyFlag;
    /**
     * 核定载质量
     */
    private Double Hdzzl;

    @JsonIgnore
    private boolean HdzzlDirtyFlag;
    /**
     * 建立时间
     */
    private Timestamp CreateDate;

    @JsonIgnore
    private boolean CreateDateDirtyFlag;
    /**
     * A/B类
     */
    private String Abl;

    @JsonIgnore
    private boolean AblDirtyFlag;
    /**
     * 车辆类型描述
     */
    private String Cllxms;

    @JsonIgnore
    private boolean CllxmsDirtyFlag;
    /**
     * 核定载客
     */
    private Integer Hdzk;

    @JsonIgnore
    private boolean HdzkDirtyFlag;
    /**
     * 整备质量
     */
    private Double Zbzl;

    @JsonIgnore
    private boolean ZbzlDirtyFlag;
    /**
     * 更新时间
     */
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;
    /**
     * 品牌
     */
    private String Pp;

    @JsonIgnore
    private boolean PpDirtyFlag;
    /**
     * 打印厂牌型号
     */
    private String Dycpxh;

    @JsonIgnore
    private boolean DycpxhDirtyFlag;
    /**
     * 建立人
     */
    private String CreateMan;

    @JsonIgnore
    private boolean CreateManDirtyFlag;
    /**
     * 车型代码
     */
    private String Cxdm;

    @JsonIgnore
    private boolean CxdmDirtyFlag;
    /**
     * 排量
     */
    private Double Pl;

    @JsonIgnore
    private boolean PlDirtyFlag;
    /**
     * 厂牌型号标识
     */
    private String CPXHId;

    @JsonIgnore
    private boolean CPXHIdDirtyFlag;
    /**
     * 生产厂商
     */
    private String Sccs;

    @JsonIgnore
    private boolean SccsDirtyFlag;
    /**
     * 车辆实际价值
     */
    private BigDecimal Clsjjz;

    @JsonIgnore
    private boolean ClsjjzDirtyFlag;
    /**
     * 更新人
     */
    private String UpdateMan;

    @JsonIgnore
    private boolean UpdateManDirtyFlag;
    /**
     * 车系
     */
    private String Cx;

    @JsonIgnore
    private boolean CxDirtyFlag;

    /**
     * 获取 [功率]
     */
    @JsonProperty("gl")
    public Double getGl(){
        return Gl ;
    }

    /**
     * 设置 [功率]
     */
    @JsonProperty("gl")
    public void setGl(Double  gl){
        this.Gl = gl ;
        this.GlDirtyFlag = true ;
    }

    /**
     * 获取 [功率]脏标记
     */
    @JsonIgnore
    public boolean getGlDirtyFlag(){
        return this.GlDirtyFlag ;
    }

    /**
     * 获取 [别名]
     */
    @JsonProperty("bm")
    public String getBm(){
        return Bm ;
    }

    /**
     * 设置 [别名]
     */
    @JsonProperty("bm")
    public void setBm(String  bm){
        this.Bm = bm ;
        this.BmDirtyFlag = true ;
    }

    /**
     * 获取 [别名]脏标记
     */
    @JsonIgnore
    public boolean getBmDirtyFlag(){
        return this.BmDirtyFlag ;
    }

    /**
     * 获取 [号牌底色]
     */
    @JsonProperty("hpds")
    public String getHpds(){
        return Hpds ;
    }

    /**
     * 设置 [号牌底色]
     */
    @JsonProperty("hpds")
    public void setHpds(String  hpds){
        this.Hpds = hpds ;
        this.HpdsDirtyFlag = true ;
    }

    /**
     * 获取 [号牌底色]脏标记
     */
    @JsonIgnore
    public boolean getHpdsDirtyFlag(){
        return this.HpdsDirtyFlag ;
    }

    /**
     * 获取 [备注]
     */
    @JsonProperty("bz")
    public String getBz(){
        return Bz ;
    }

    /**
     * 设置 [备注]
     */
    @JsonProperty("bz")
    public void setBz(String  bz){
        this.Bz = bz ;
        this.BzDirtyFlag = true ;
    }

    /**
     * 获取 [备注]脏标记
     */
    @JsonIgnore
    public boolean getBzDirtyFlag(){
        return this.BzDirtyFlag ;
    }

    /**
     * 获取 [厂牌型号名称]
     */
    @JsonProperty("cpxhname")
    public String getCPXHName(){
        return CPXHName ;
    }

    /**
     * 设置 [厂牌型号名称]
     */
    @JsonProperty("cpxhname")
    public void setCPXHName(String  cPXHName){
        this.CPXHName = cPXHName ;
        this.CPXHNameDirtyFlag = true ;
    }

    /**
     * 获取 [厂牌型号名称]脏标记
     */
    @JsonIgnore
    public boolean getCPXHNameDirtyFlag(){
        return this.CPXHNameDirtyFlag ;
    }

    /**
     * 获取 [新车购置价]
     */
    @JsonProperty("xcgzj")
    public BigDecimal getXcgzj(){
        return Xcgzj ;
    }

    /**
     * 设置 [新车购置价]
     */
    @JsonProperty("xcgzj")
    public void setXcgzj(BigDecimal  xcgzj){
        this.Xcgzj = xcgzj ;
        this.XcgzjDirtyFlag = true ;
    }

    /**
     * 获取 [新车购置价]脏标记
     */
    @JsonIgnore
    public boolean getXcgzjDirtyFlag(){
        return this.XcgzjDirtyFlag ;
    }

    /**
     * 获取 [上市年份]
     */
    @JsonProperty("ssnf")
    public String getSsnf(){
        return Ssnf ;
    }

    /**
     * 设置 [上市年份]
     */
    @JsonProperty("ssnf")
    public void setSsnf(String  ssnf){
        this.Ssnf = ssnf ;
        this.SsnfDirtyFlag = true ;
    }

    /**
     * 获取 [上市年份]脏标记
     */
    @JsonIgnore
    public boolean getSsnfDirtyFlag(){
        return this.SsnfDirtyFlag ;
    }

    /**
     * 获取 [核定载质量]
     */
    @JsonProperty("hdzzl")
    public Double getHdzzl(){
        return Hdzzl ;
    }

    /**
     * 设置 [核定载质量]
     */
    @JsonProperty("hdzzl")
    public void setHdzzl(Double  hdzzl){
        this.Hdzzl = hdzzl ;
        this.HdzzlDirtyFlag = true ;
    }

    /**
     * 获取 [核定载质量]脏标记
     */
    @JsonIgnore
    public boolean getHdzzlDirtyFlag(){
        return this.HdzzlDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.CreateDateDirtyFlag ;
    }

    /**
     * 获取 [A/B类]
     */
    @JsonProperty("abl")
    public String getAbl(){
        return Abl ;
    }

    /**
     * 设置 [A/B类]
     */
    @JsonProperty("abl")
    public void setAbl(String  abl){
        this.Abl = abl ;
        this.AblDirtyFlag = true ;
    }

    /**
     * 获取 [A/B类]脏标记
     */
    @JsonIgnore
    public boolean getAblDirtyFlag(){
        return this.AblDirtyFlag ;
    }

    /**
     * 获取 [车辆类型描述]
     */
    @JsonProperty("cllxms")
    public String getCllxms(){
        return Cllxms ;
    }

    /**
     * 设置 [车辆类型描述]
     */
    @JsonProperty("cllxms")
    public void setCllxms(String  cllxms){
        this.Cllxms = cllxms ;
        this.CllxmsDirtyFlag = true ;
    }

    /**
     * 获取 [车辆类型描述]脏标记
     */
    @JsonIgnore
    public boolean getCllxmsDirtyFlag(){
        return this.CllxmsDirtyFlag ;
    }

    /**
     * 获取 [核定载客]
     */
    @JsonProperty("hdzk")
    public Integer getHdzk(){
        return Hdzk ;
    }

    /**
     * 设置 [核定载客]
     */
    @JsonProperty("hdzk")
    public void setHdzk(Integer  hdzk){
        this.Hdzk = hdzk ;
        this.HdzkDirtyFlag = true ;
    }

    /**
     * 获取 [核定载客]脏标记
     */
    @JsonIgnore
    public boolean getHdzkDirtyFlag(){
        return this.HdzkDirtyFlag ;
    }

    /**
     * 获取 [整备质量]
     */
    @JsonProperty("zbzl")
    public Double getZbzl(){
        return Zbzl ;
    }

    /**
     * 设置 [整备质量]
     */
    @JsonProperty("zbzl")
    public void setZbzl(Double  zbzl){
        this.Zbzl = zbzl ;
        this.ZbzlDirtyFlag = true ;
    }

    /**
     * 获取 [整备质量]脏标记
     */
    @JsonIgnore
    public boolean getZbzlDirtyFlag(){
        return this.ZbzlDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.UpdateDateDirtyFlag ;
    }

    /**
     * 获取 [品牌]
     */
    @JsonProperty("pp")
    public String getPp(){
        return Pp ;
    }

    /**
     * 设置 [品牌]
     */
    @JsonProperty("pp")
    public void setPp(String  pp){
        this.Pp = pp ;
        this.PpDirtyFlag = true ;
    }

    /**
     * 获取 [品牌]脏标记
     */
    @JsonIgnore
    public boolean getPpDirtyFlag(){
        return this.PpDirtyFlag ;
    }

    /**
     * 获取 [打印厂牌型号]
     */
    @JsonProperty("dycpxh")
    public String getDycpxh(){
        return Dycpxh ;
    }

    /**
     * 设置 [打印厂牌型号]
     */
    @JsonProperty("dycpxh")
    public void setDycpxh(String  dycpxh){
        this.Dycpxh = dycpxh ;
        this.DycpxhDirtyFlag = true ;
    }

    /**
     * 获取 [打印厂牌型号]脏标记
     */
    @JsonIgnore
    public boolean getDycpxhDirtyFlag(){
        return this.DycpxhDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.CreateManDirtyFlag ;
    }

    /**
     * 获取 [车型代码]
     */
    @JsonProperty("cxdm")
    public String getCxdm(){
        return Cxdm ;
    }

    /**
     * 设置 [车型代码]
     */
    @JsonProperty("cxdm")
    public void setCxdm(String  cxdm){
        this.Cxdm = cxdm ;
        this.CxdmDirtyFlag = true ;
    }

    /**
     * 获取 [车型代码]脏标记
     */
    @JsonIgnore
    public boolean getCxdmDirtyFlag(){
        return this.CxdmDirtyFlag ;
    }

    /**
     * 获取 [排量]
     */
    @JsonProperty("pl")
    public Double getPl(){
        return Pl ;
    }

    /**
     * 设置 [排量]
     */
    @JsonProperty("pl")
    public void setPl(Double  pl){
        this.Pl = pl ;
        this.PlDirtyFlag = true ;
    }

    /**
     * 获取 [排量]脏标记
     */
    @JsonIgnore
    public boolean getPlDirtyFlag(){
        return this.PlDirtyFlag ;
    }

    /**
     * 获取 [厂牌型号标识]
     */
    @JsonProperty("cpxhid")
    public String getCPXHId(){
        return CPXHId ;
    }

    /**
     * 设置 [厂牌型号标识]
     */
    @JsonProperty("cpxhid")
    public void setCPXHId(String  cPXHId){
        this.CPXHId = cPXHId ;
        this.CPXHIdDirtyFlag = true ;
    }

    /**
     * 获取 [厂牌型号标识]脏标记
     */
    @JsonIgnore
    public boolean getCPXHIdDirtyFlag(){
        return this.CPXHIdDirtyFlag ;
    }

    /**
     * 获取 [生产厂商]
     */
    @JsonProperty("sccs")
    public String getSccs(){
        return Sccs ;
    }

    /**
     * 设置 [生产厂商]
     */
    @JsonProperty("sccs")
    public void setSccs(String  sccs){
        this.Sccs = sccs ;
        this.SccsDirtyFlag = true ;
    }

    /**
     * 获取 [生产厂商]脏标记
     */
    @JsonIgnore
    public boolean getSccsDirtyFlag(){
        return this.SccsDirtyFlag ;
    }

    /**
     * 获取 [车辆实际价值]
     */
    @JsonProperty("clsjjz")
    public BigDecimal getClsjjz(){
        return Clsjjz ;
    }

    /**
     * 设置 [车辆实际价值]
     */
    @JsonProperty("clsjjz")
    public void setClsjjz(BigDecimal  clsjjz){
        this.Clsjjz = clsjjz ;
        this.ClsjjzDirtyFlag = true ;
    }

    /**
     * 获取 [车辆实际价值]脏标记
     */
    @JsonIgnore
    public boolean getClsjjzDirtyFlag(){
        return this.ClsjjzDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.UpdateManDirtyFlag ;
    }

    /**
     * 获取 [车系]
     */
    @JsonProperty("cx")
    public String getCx(){
        return Cx ;
    }

    /**
     * 设置 [车系]
     */
    @JsonProperty("cx")
    public void setCx(String  cx){
        this.Cx = cx ;
        this.CxDirtyFlag = true ;
    }

    /**
     * 获取 [车系]脏标记
     */
    @JsonIgnore
    public boolean getCxDirtyFlag(){
        return this.CxDirtyFlag ;
    }



}
